<nav class="navbar navbar-expand-lg secondary-bg navbar-dark fixed-top">
  <button
    class="navbar-toggler text-white"
    type="button"
    data-bs-toggle="collapse"
    data-bs-target="#navToggle"
    aria-controls="navToggle"
    aria-expanded="false"
    aria-label="Toggle navigation"
  >
    <span class="navbar-toggler-icon"></span>
  </button>

  <div class="collapse navbar-collapse" id="navToggle">
    <ul class="navbar-nav mt-2 mt-lg-0 d-lg-inline-flex flex-fill nav-fill">
      <li
        class="nav-item"
        routerLinkActive="primary-bg"
        *ngFor="let category of categories | keyvalue: sortCategories"
      >
        <a class="nav-link text-white" [routerLink]="[category.value]">{{
          category.key | titlecase
        }}</a>
      </li>
    </ul>
  </div>
</nav>
